dots.v2.genAi.agents.byAgent_uuId().guardrails.byGuardrail_uuid().delete()
Generated on 27 Oct 2026
from DoTs version
v1.21.0
Usage
client.v2.genAi.agents.byAgent_uuId(agent_uuId).guardrails.byGuardrail_uuid(guardrail_uuid).delete(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | ApiUnlinkAgentGuardrailOutput>Description
To detach a guardrail from an agent, send a DELETE request to /v2/gen-ai/agents/{agent_uuid}/guardrails/{guardrail_uuid}.
Parameters
agent_uuIdstring requiredExample:
"123e4567-e89b-12d3-a456-426614174000"The UUID of the agent.
guardrail_uuidstring requiredExample:
"123e4567-e89b-12d3-a456-426614174000"The UUID of the guardrail to detach.
Request Sample
Response Example
More Information
See /v2/gen-ai/agents/{agent_uuid}/guardrails/{guardrail_uuid} in the API reference for additional detail on responses, headers, parameters, and more.